<?php

namespace Wp618\WpformsSender;

if ( !defined( 'ABSPATH' ) ) exit;

//
class Termtaxonomy_model extends Model
{
    protected $table = 'term_taxonomy';
    protected $is_dev_table = false;

    //
    public function get_terms_by_taxonomy($taxonomy, $num = 0){
        if(empty($taxonomy)){
            return [];
        }

        $query = ['where' => ['taxonomy' => $taxonomy]];
        if($num > 0){
            $query['limit'] = $num;
        }

        $taxonomys = $this->get_all($query);

        if(empty($taxonomys)){
            return [];
        }

        $term_id_arr = array_column($taxonomys, 'term_id');

        $terms = array_column($taxonomys, null, 'term_id');

        $term_list = $this->app->terms_model->get_all(['where_id' => ['term_id' => $term_id_arr]]);
        $term_list = array_column($term_list, null, 'term_id');

        foreach ($terms as &$tax) {
            $tax['name'] = '';

            if(isset($term_list[$tax['term_id']])){
                $tax['name'] = $term_list[$tax['term_id']]['name'];
            }
        }
        unset($tax);

        return $terms;
    }
}